
AAC - Feature #265

pyHope development

01/09/2010 12:21 PM - Anil Prabhakar

Status: Closed Start date: 01/09/2010

Priority: Normal Due date: 01/30/2010

Assignee: Albina Nirupa Julius % Done: 0%

Category:  Estimated time: 0:00 hour

Target version: Hope 1.0 Spent time: 0:00 hour

Description

Convert HOPE to python for cross-platform use

1. Basic functionality with 5 levels

1. Scanning is a process that waits for events, sleeps for ms inside a while loop.

2. Configuration file that

1. sets the speed

2. stores word and sentence lists (adds new words/sentences if spelt)

3. Prediction capability

1. Reads word and sentence lists into a tree

2. Predicts next alphabet (in spell mode) or word (in word mode)

History

#1 - 03/20/2010 12:00 PM - Albina Nirupa Julius

Tested Hope in Beagle board with Ubuntu .Pyttsx speech module stops working in beagle board after few minutes.

Need to test in Angstorm

#2 - 04/26/2010 11:21 AM - Albina Nirupa Julius

- Status changed from New to Closed

Powered by TCPDF (www.tcpdf.org)

05/04/2025 1/1

http://www.tcpdf.org

